package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusRiverEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流基础信息表(BusRiver)表数据库访问层
 * @Date 2025-06-09 09:44:24
 */
@Mapper
public interface BusRiverDao extends BaseMapper<BusRiverEntity> {

    /**
     * 分页查询
     */
    IPage<BusRiverEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);
}
