package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusRiverPointEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
 import java.util.Map;
/**
 * @Author fangjiakai
 * @Desc 河流经纬度坐标点信息表(BusRiverPoint)表数据库访问层
 * @Date 2025-06-09 09:50:37
 */
@Mapper
public interface BusRiverPointDao extends BaseMapper<BusRiverPointEntity> {

    /**
     * 分页查询
     */
    IPage<BusRiverPointEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);
}
