package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusUrbanFloodPointEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 城市防涝点详情表(BusUrbanFloodPoint)表数据库访问层
 * @Date 2025-06-09 10:15:00
 */
@Mapper
public interface BusUrbanFloodPointDao extends BaseMapper<BusUrbanFloodPointEntity> {

    /**
     * 分页查询
     */
    IPage<BusUrbanFloodPointEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);
}
