package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusGeologicalDisasterEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 地质灾害点信息详情表(BusGeologicalDisaster)表服务接口
 * @Date 2025-06-09 10:14:59
 */
public interface BusGeologicalDisasterService extends IService<BusGeologicalDisasterEntity> {

    BusGeologicalDisasterEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusGeologicalDisasterEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String geologicalDisasterId, String userId);

}
