package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusRiverStructuresPointEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc (BusRiverStructuresPoint)表服务接口
 * @Date 2025-06-10 16:25:26
 */
public interface BusRiverStructuresPointService extends IService<BusRiverStructuresPointEntity> {

    BusRiverStructuresPointEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusRiverStructuresPointEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(Long riverStructuresPointId, String userId);

}
