package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusMountainFloodVillageEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 山洪灾害村基本信息表(BusMountainFloodVillage)表服务接口
 * @Date 2025-06-09 10:14:59
 */
public interface BusMountainFloodVillageService extends IService<BusMountainFloodVillageEntity> {

    BusMountainFloodVillageEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusMountainFloodVillageEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String mountainFloodVillageId, String userId);

}
